Subject: Re: [PATCH v3 00/12] config: remove global state from config iteration

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jun 2023 14:46:32 -0700

"Glen Choo via GitGitGadget" <[email-masked]> writes:

> Junio: I rebased this onto a newer "master". I assume this is a noop for
> you - I noticed that the RFC versions weren't applied anyway (good).

It would be a noop only if I do not queue this iteration.

I've reviewed them in its current shape, but it seems to cause too
many conflicts even when merged to 'next', let alone 'seen', with
interactions with topics in flight:

 * ds/add-i-color-configuration-fix (easy)
 * ps/fetch-cleanups (easy but messy)
 * vd/worktree-config-is-per-repository (moderately messy)

some of which may have graduated to 'master' in the meantime, so it
might not be a bad idea to rebase on a more recent 'master' after
you collect and adjust for review comments on v3.

Thanks.